# Update a payment Update the details of a payment identified by the paymentId that is in the PENDING_CONFIRMATION state. Required user role: CREATOR Endpoint: PUT /v1/payment_runs/{payment_run_id} Version: v1 Security: apiKey, authToken ## Path parameters: - `payment_run_id` (string, required) The unique identifier of the payment run. ## Request fields (application/json): - `payments` (array, required) - `payments.paymentId` (string, required) - `payments.supplier` (object, required) Represent the supplier bank account typically used in Outgoing Wire Transfer transactions. - `payments.supplier.name` (string, required) The supplier name. The allowed length and pattern is dependent on the bankAccountDetails type: with SepaBankDetails: >= 1 character and = 1 character and ;{@\r\n]$ (please note that the ’` symbol is the unicode value U+2019 (right single quotation mark) and not the unicode value U+0027 (apostrophe)) - `payments.supplier.address` (string) The supplier's address. - `payments.supplier.bankName` (string) The supplier's bank name. - `payments.supplier.bankAddress` (string) The supplier's bank address. - `payments.supplier.bankCountry` (string) The supplier's bank country in ISO 3166 alpha-2 format. - `payments.supplier.type` (string) The type of supplier account. Required only when FasterPaymentsBankDetails are specified. Enum: "PERSONAL", "BUSINESS" - `payments.supplier.bankAccountDetails` (any, required) Details of the supplier bank account, depending on the type of transfer chosen. ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 403 fields (application/json): - `errorCode` (string) Enum: "INSUFFICIENT_PERMISSIONS" ## Response 404 fields (application/json): - `code` (string) - `message` (string) ## Response 409 fields (application/json): - `errorCode` (string) Enum: "PAYMENT_RUN_INVALID_STATE", "PAYMENT_RUN_DUPLICATE_PAYMENT_ID", "INVALID_SUPPLIER_BANK_ACCOUNT_DETAILS", "MISSING_SUPPLIER_TYPE" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 204 fields ## Response 401 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields